<?php
/**
 * Template Name: Contact Page
 *
 * @package Theme Palace
 * @subpackage Photo Fusion Pro
 * @since Photo Fusion Pro 1.0
 */
get_header();
$options = photo_fusion_pro_get_theme_options(); // get theme options

do_action( 'photo_fusion_pro_banner_section' ); //get banner section ?>

	<?php if( $options['enable_address_block'] ) : ?>
    <section id="address" class="bg-grey">
      	<div class="container page-section">
        	<div class="entry-content">
	          	<ul class="address-block">
	          		<?php if( !empty( $options['contact_address_icon'] ) || !empty( $options['contact_address_title'] ) || !empty( $options['contact_address_description'] )  ){ ?>
		            <li class="address os-animation" data-os-animation="fadeInUp" data-os-animation-delay="0.1s" data-os-animation-duration="1.2s">
		            <?php 
		            	if( !empty( $options['contact_address_icon'] ) )
		            		echo '<i class="fa '. esc_attr( $options['contact_address_icon'] ).'"></i>';
		            	if( !empty( $options['contact_address_title'] ) )
		            		echo ' <span class="title">'. esc_html( $options['contact_address_title'] ) .'</span>';
		            	if( !empty( $options['contact_address_description'] ) )
		            		echo esc_html( $options['contact_address_description'] );
		            	?>
		            </li>
		            <?php } ?>

		            <?php if( !empty( $options['contact_phone_icon'] ) || !empty( $options['contact_phone_title'] ) || !empty( $options['contact_phone_number'] )  ){ ?>
		            <li class="phone os-animation" data-os-animation="fadeInUp" data-os-animation-delay="0.2s" data-os-animation-duration="1.4s">
		            <?php 
		            	if( !empty( $options['contact_phone_icon'] ) )
		            		echo '<i class="fa '. esc_attr( $options['contact_phone_icon'] ).'"></i>';
		              	if( !empty( $options['contact_phone_title'] ) )
		              		echo '<span class="title">'. esc_html( $options['contact_phone_title'] ).'</span>';
		             	if( !empty( $options['contact_phone_number'] ) )
		             		$phone_number = preg_replace( '/\s+/', '', esc_attr( $options['contact_phone_number'] ) );
		             		$phone_number = str_replace( array( '(',')'),'', $phone_number);
							echo '<a href="tel:' . esc_attr( $phone_number ) . '">'.esc_html( $options['contact_phone_number'] ).'</a>';
		            ?>
		            </li>
		            <?php } ?>

		            <?php if( !empty( $options['contact_email_icon'] ) || !empty( $options['contact_email_title'] ) || !empty( $options['contact_email_id'] )  ){ ?>
		            <li class="email os-animation" data-os-animation="fadeInUp" data-os-animation-delay="0.3s" data-os-animation-duration="1.6s">
		            <?php 
		            	if( !empty( $options['contact_email_icon'] ) )
		            		echo '<i class="fa '. esc_attr( $options['contact_email_icon'] ).'"></i>';
		              	if( !empty( $options['contact_email_title'] ) )
		            		echo '<span class="title">'. esc_html( $options['contact_email_title'] ).'</span>';
		            	if( !empty( $options['contact_email_id'] ) )
		            		echo ' <a href="mailto:'. sanitize_email( $options['contact_email_id']).'">'. sanitize_email( $options['contact_email_id'] ).'</a></i>';
		            ?>
		            </li>
		            <?php }

		            $social_media_lists = array();
		            $no_of_social_media = $options['no_of_social_icon'];

		            for ($i=1; $i <= $no_of_social_media ; $i++) { 
		            	if( !empty( $options['social_link_'. $i ] ) ){
		            		$social_media_lists[] = $options['social_link_'. $i ];
		            	}
		            }

		            if( !empty( $options['social_menu_icon'] ) || !empty( $options['social_icon_title'] ) || !empty( $options['contact_email_id'] ) || !empty( $social_media_lists ) ){ ?>
		            <li class="social-icons os-animation" data-os-animation="fadeInUp" data-os-animation-delay="0.4s" data-os-animation-duration="1.8s">
		            <?php 
		            	if( !empty( $options['social_menu_icon'] ) )
		            		echo '<i class="fa '. esc_attr( $options['social_menu_icon'] ) .'"></i>';
		              	if( !empty( $options['social_icon_title'] ) )
		              		echo '<span class="title">'.esc_html( $options['social_icon_title'] ).'</span>';
		              	if( !empty( $social_media_lists ) ) {
		              		echo '<ul>';
		              		foreach ( $social_media_lists as $social_media_list ) {
		              			echo ' <li><a href="' . esc_url( $social_media_list ) .'"></a></li>';
		              		}
		              		echo '</ul>';
		              	}
		            ?>
		            </li>
		            <?php } ?>
	          	</ul><!-- end .address-block -->
        	</div><!-- end .entry-content -->
      	</div><!-- end .container -->
    </section><!-- end #address -->
	<?php endif; ?>

	<?php 
		$enable_contact_form = $options['enable_contact_form']; // check if contact form is enabled from customizer
		if( $enable_contact_form && !empty( $options['contact_form_shortcode'] ) ) { ?>
    		<section id="contact-form" class="bg-grey">
		      	<div class="container page-section">

			        <div class="entry-content two-col">
			          	<div class="column-wrapper os-animation" data-os-animation="fadeIn" data-os-animation-delay="0.1s" data-os-animation-duration="1s">
			            	<?php echo do_shortcode( $options['contact_form_shortcode'] ); ?>
			          	</div><!-- end .column-wrapper -->
			          	<div class="column-wrapper os-animation" data-os-animation="fadeIn" data-os-animation-delay="0.1s" data-os-animation-duration="1s">
			            	<?php 
			            	if ( $options['map_type_option'] == 'shortcode' ){
			            		echo do_shortcode( $options['contact_map_shortcode'] );
			            	} elseif ( $options['map_type_option'] == 'embed'  ) {
			            		echo html_entity_decode( $options['contact_map_embed'] );
			            	}
			            	?>
			          	</div><!-- end .column-wrapper -->
			        </div><!-- end .entry-content -->
    			</div><!-- end .container -->
    		</section><!-- end #contact-form -->
    <?php } ?>
	<div class="container page-section no-sidebar">
	    <div id="primary" class="content-area">
			<main id="main" class="site-main" role="main">
			<?php
				if( have_posts() ){ 
					the_post();?>
					<div class="entry-content">
						<div class="blog-content os-animation" data-os-animation="fadeIn" data-os-animation-delay="0.1s" data-os-animation-duration="1s">
						<?php
							the_content();

							wp_link_pages( array(
								'before' => '<div class="page-links">' . esc_html__( 'Pages:', 'photo-fusion-pro' ),
								'after'  => '</div>',
							) );
						?>
						</div><!-- .blog content -->
					</div><!-- .entry-content -->
				<?php } ?>
			</main>
	    </div><!-- end #primary -->
	</div>

    <div class="backtotop"><i class="fa fa-angle-up"></i></div><!--end .backtotop-->
<?php get_footer();