<?php
/**
 * Excerpt options
 *
 * @package Theme Palace
 * @subpackage Photo Fusion Pro
 * @since Photo Fusion Pro 1.0
 */

// Add excerpt section
$wp_customize->add_section( 'photo_fusion_pro_excerpt_section', array(
	'title'             => esc_html__( 'Excerpt','photo-fusion-pro' ),
	'description'       => esc_html__( 'Excerpt section options.', 'photo-fusion-pro' ),
	'panel'             => 'photo_fusion_pro_theme_options_panel'
) );


// Slider Excerpt length setting and control.
$wp_customize->add_setting( 'photo_fusion_pro_theme_options[slider_excerpt_length]', array(
	'sanitize_callback' => 'photo_fusion_pro_sanitize_number_range',
	'validate_callback' => 'photo_fusion_pro_validate_no_of_slider_excerpt',
	'default'			  => $options['slider_excerpt_length']
) );

$wp_customize->add_control( 'photo_fusion_pro_theme_options[slider_excerpt_length]', array(
	'label'       => esc_html__( 'Slider Excerpt Length', 'photo-fusion-pro' ),
	'description' => esc_html__( 'Total words to be displayed.', 'photo-fusion-pro' ),
	'section'     => 'photo_fusion_pro_excerpt_section',
	'type'        => 'number',
	'input_attrs' => array(
		'style'       => 'width: 80px;',
		'max'         => 50,
		'min'         => 5,
	),
) );

// Excerpt length setting and control.
$wp_customize->add_setting( 'photo_fusion_pro_theme_options[excerpt_length]', array(
	'sanitize_callback' => 'photo_fusion_pro_sanitize_number_range',
	'validate_callback' => 'photo_fusion_pro_validate_no_of_excerpt',
	'default'			  => $options['excerpt_length']
) );

$wp_customize->add_control( 'photo_fusion_pro_theme_options[excerpt_length]', array(
	'label'       => esc_html__( 'Thumbnail Excerpt Length', 'photo-fusion-pro' ),
	'description' => esc_html__( 'Total words to be displayed.', 'photo-fusion-pro' ),
	'section'     => 'photo_fusion_pro_excerpt_section',
	'type'        => 'number',
	'input_attrs' => array(
		'style'       => 'width: 80px;',
		'max'         => 15,
		'min'         => 5,
	),
) );